=== debian/changelog ===
nfs-ganesha (2.7.1-2) unstable; urgency=medium

  * change watch file to use git directly on github to copy with to many
    versions on the 1st release page.
  * change builddepends from glusterfs-common to libglusterfs-dev (closes:
    919669)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 18 Jan 2019 15:09:03 +0100

nfs-ganesha (2.7.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Christoph Martin ]
  * New upstream version 2.7.1

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 30 Oct 2018 10:47:05 +0100
