## nfs-ganesha 2.7.3

=== debian/changelog ===
nfs-ganesha (2.7.3-2) buster; urgency=medium

  * nfs-ganesha 2.7.3 w/ nfs-ganesha-conf.sh

 -- Gluster Packager <glusterpackager@download.gluster.org>  Mon, 29 Apr 2019 15:30:00 -0400

nfs-ganesha (2.7.3-1) buster; urgency=medium

  * nfs-ganesha 2.7.3 GA

 -- Gluster Packager <glusterpackager@download.gluster.org>  Tue, 9 Apr 2019 15:30:00 -0400

nfs-ganesha (2.7.2-1) buster; urgency=medium

  * nfs-ganesha 2.7.2 GA

 -- Gluster Packager <glusterpackager@download.gluster.org>  Thu, 7 Mar 2019 15:30:00 -0400

nfs-ganesha (2.7.1-2) buster; urgency=medium

  * nfs-ganesha 2.7.1 with fsal-ceph and fsal-rgw

 -- Gluster Packager <glusterpackager@download.gluster.org>  Mon, 10 Dec 2018 15:30:00 -0400

nfs-ganesha (2.7.1-1) buster; urgency=medium

  * nfs-ganesha 2.7.1 GA

 -- Gluster Packager <glusterpackager@download.gluster.org>  Mon, 26 Nov 2018 15:30:00 -0400

nfs-ganesha (2.7.0-2) buster; urgency=medium

  * nfs-ganesha 2.7.0 GA, logrotate.d/nfs-ganesha-gfapi

 -- Gluster Packager <glusterpackager@download.gluster.org>  Tue, 25 Sep 2018 15:30:00 -0400

nfs-ganesha (2.7.0-1) buster; urgency=medium

  * nfs-ganesha 2.7.0 GA

 -- Gluster Packager <glusterpackager@download.gluster.org>  Wed, 19 Sep 2018 15:30:00 -0400

nfs-ganesha (2.6.3-1) buster; urgency=medium

  * nfs-ganesha 2.6.3 GA

 -- Gluster Packager <glusterpackager@download.gluster.org>  Thu, 23 Aug 2018 15:30:00 -0400

nfs-ganesha (2.6.2-2) buster; urgency=medium

  * nfs-ganesha 2.6.2 /usr/lib/ganesha/nfs-ganesha-config.sh

 -- Gluster Packager <glusterpackager@download.gluster.org>  Tue, 29 May 2018 15:30:00 -0400

nfs-ganesha (2.6.2-1) buster; urgency=medium

  * nfs-ganesha 2.6.2 GA

 -- Gluster Packager <glusterpackager@download.gluster.org>  Fri, 11 May 2018 15:30:00 -0400

nfs-ganesha (2.6.1-1) buster; urgency=medium

  * nfs-ganesha 2.6.1 GA

 -- Gluster Packager <glusterpackager@download.gluster.org>  Thu, 22 Mar 2018 15:30:00 -0400

nfs-ganesha (2.6.0-1) buster; urgency=medium

  * nfs-ganesha 2.6.0 GA

 -- Gluster Packager <glusterpackager@download.gluster.org>  Fri, 23 Feb 2018 15:30:00 -0400

nfs-ganesha (2.6.0-0.1rc3) buster; urgency=medium

  * nfs-ganesha 2.6 rc3

 -- Gluster Packager <glusterpackager@download.gluster.org>  Fri, 19 Jan 2018 15:30:00 -0400
