=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: nfs-ganesha
 Section: net
 Priority: optional
-Maintainer: Philippe Deniel <philippe.deniel@cea.fr>
-Uploaders: Christoph Martin <martin@uni-mainz.de>
+Maintainer: Kaleb S. KEITHLEY <kkeithle@redhat.com>
 Standards-Version: 4.1.1
 Homepage: https://github.com/nfs-ganesha/nfs-ganesha
 Build-Depends: debhelper (>= 9),
-               quilt,
                bison,
                flex,
                cmake,
                libdbus-1-dev,
                libnfsidmap-dev,
                libwbclient-dev,
-               libntirpc-dev (>= 1.7.0),
+               libntirpc-dev (>= 1.7.3),
                libkrb5-dev,
                libblkid-dev,
                libattr1-dev,
@@ -25,34 +23,33 @@
                xfslibs-dev,
                uuid-dev,
                libcap-dev,
-               libglusterfs-dev (>= 3.13.0),
-	       librgw-dev,
-	       libcephfs-dev,
+               glusterfs-common (>= 4.1.0),
+               librgw-dev,
+               libcephfs-dev,
                python-dev,
                dh-python,
-	       dh-systemd,
+               dh-systemd,
                python-qt4,
-	       python-sphinx,
+               python-sphinx,
                pyqt4-dev-tools,
                pkgconf
-Vcs-Git: https://salsa.debian.org/debian/nfs-ganesha.git
-Vcs-Browser: https://salsa.debian.org/debian/nfs-ganesha
+Vcs-Git: https://github.com/nfs-ganesha/nfs-ganesha.git
 
 Package: nfs-ganesha
-Multi-Arch: foreign
 Architecture: any
 Depends: dbus, nfs-common, rpcbind,
+         ${shlibs:Depends},
          ${perl:Depends},
          ${misc:Depends},
-	 ${shlibs:Depends},
+         libwbclient0,
+         libntirpc1 (>= 1.7.2),
+         libtirpc3,
          daemon
-Description: NFS server in User Space
+Description: nfs-ganesha is a NFS server in User Space
  NFS-GANESHA is a NFS Server running in user space with a large cache.
  It comes with various backend modules to support different file systems
  and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
  HPSS, LUSTRE, XFS and ZFS.
- .
- This package contains the binaries
 
 Package: nfs-ganesha-mount-9p
 Multi-Arch: same
@@ -65,7 +62,6 @@
  It comes with various backend modules to support different file systems
  and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
  HPSS, LUSTRE, XFS and ZFS.
- .
  This package contains mount.9P
 
 Package: nfs-ganesha-gluster
@@ -107,19 +103,6 @@
  and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
  HPSS, LUSTRE, XFS and ZFS.
  This package contains a library for a FSAL_VFS and an example vfs.conf file
-
-Package: nfs-ganesha-xfs
-Multi-Arch: same
-Architecture: any
-Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         nfs-ganesha (=${binary:Version})
-Description: nfs-ganesha fsal xfs libraries
- NFS-GANESHA is a NFS Server running in user space with a large cache.
- It comes with various backend modules to support different file systems
- and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
- HPSS, LUSTRE, XFS and ZFS.
- This package contains a library for a FSAL_XFS and an example xfs.conf file
 
 Package: nfs-ganesha-mem
 Multi-Arch: same
@@ -173,6 +156,7 @@
  HPSS, LUSTRE, XFS and ZFS.
  This package contains a library for a FSAL_GPFS and conf files.
 
+
 Package: python-nfs-ganesha
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: all
@@ -194,7 +178,6 @@
 Package: nfs-ganesha-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
 Description: Documentation for nfs-ganesha
  NFS-GANESHA is a NFS Server running in user space with a large cache.
  It comes with various backend modules to support different file systems
