=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,7 @@
 		-DFSAL_DESTINATION=/usr/lib/${DEB_HOST_MULTIARCH}/ganesha \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		-DUSE_FSAL_NULL=YES \
-		-DUSE_FSAL_ZFS=NO \
-		-DUSE_FSAL_XFS=YES \
+		-DUSE_FSAL_XFS=NO \
 		-DUSE_FSAL_LUSTRE=NO \
 		-DUSE_FSAL_CEPH=YES \
 		-DUSE_FSAL_RGW=NO \
@@ -43,7 +42,9 @@
 		-DUSE_DBUS=ON \
 		-DUSE_9P=ON \
 		-DDISTNAME_HAS_GIT_DATA=OFF \
-		-DUSE_MAN_PAGE=YES
+		-DUSE_MAN_PAGE=YES \
+		-D_MSPAC_SUPPORT=YES \
+		-DSANITIZE_ADDRESS=NO
 
 override_dh_auto_build:
 	cd src && dh_auto_build
@@ -56,12 +57,13 @@
 	mkdir -p debian/tmp/etc/default
 	mkdir -p debian/tmp/etc/logrotate.d/
 	mkdir -p debian/tmp/etc/dbus-1/system.d/
+	mkdir -p debian/tmp/usr/lib/
 	mkdir -p debian/tmp/usr/lib/ganesha/
 	mkdir -p debian/tmp/usr/sbin/
 	cp src/config_samples/vfs.conf debian/tmp/etc/ganesha/ganesha.conf
 	cp src/config_samples/vfs.conf debian/tmp/etc/ganesha/vfs.conf
 	cp src/config_samples/xfs.conf debian/tmp/etc/ganesha/xfs.conf
-	cp src/config_samples/rgw.conf debian/tmp/etc/ganesha/rgw.conf
+	cp src/config_samples/ceph.conf debian/tmp/etc/ganesha/ceph.conf
 	cp src/config_samples/mem.conf debian/tmp/etc/ganesha/mem.conf
 	cp src/config_samples/gluster.conf debian/tmp/etc/ganesha/gluster.conf
 	cp src/config_samples/ceph.conf debian/tmp/etc/ganesha/ceph.conf
@@ -73,10 +75,11 @@
 	cp src/config_samples/logrotate_ganesha debian/tmp/etc/logrotate.d/nfs-ganesha
 	cp src/config_samples/logrotate_fsal_gluster debian/tmp/etc/logrotate.d/nfs-ganesha-gfapi
 	cp src/scripts/systemd/nfs-ganesha.service.debian8 debian/tmp/lib/systemd/system/nfs-ganesha.service
+	cp src/scripts/systemd/nfs-ganesha-lock.service.debian8 src/scripts/systemd/nfs-ganesha-lock.service
 	cp src/scripts/systemd/nfs-ganesha-config.service debian/tmp/lib/systemd/system/
 	cp src/scripts/systemd/nfs-ganesha-lock.service.debian8 debian/tmp/lib/systemd/system/nfs-ganesha-lock.service
 	cp src/scripts/systemd/sysconfig/nfs-ganesha debian/tmp/etc/default/
 	cp src/scripts/ganeshactl/org.ganesha.nfsd.conf debian/tmp/etc/dbus-1/system.d/nfs-ganesha-dbus.conf
-	install -m 755 src/scripts/nfs-ganesha-config.sh debian/tmp/usr/lib/ganesha/
-	install -m 755 src/tools/mount.9P debian/tmp/usr/sbin/
+	install -m 0755 src/scripts/nfs-ganesha-config.sh debian/tmp/usr/lib/ganesha/
+	install -m 0755 src/tools/mount.9P debian/tmp/usr/sbin/
 	make -C src/obj-*-linux-gnu* install && dh_install --sourcedir=./src
